import { Metadata } from 'next';
import PostList from '@/components/posts/PostList';
import { Spin } from 'antd';

export const metadata = {
  title: "Baymax | Posts",
  description: "Generated by create next app",
};

export default async function page() {
  const response = await fetch("https://jsonplaceholder.typicode.com/posts");
  const posts = await response.json();
  if (!posts) {
    return <Spin tip="Loading posts..." />;
  }
  return (
    <div>
      <PostList data={posts} />
    </div>
  );
}